This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 845843 - Bug with default properties in KnowledgeStoreServiceImpl
Bug with default properties in KnowledgeStoreServiceImpl
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Mario Fusco
Martin Vecera
:
Depends On:
Blocks: 872743
  Show dependency treegraph
 
Reported: 2012-08-05 12:45 EDT by Toshiya Kobayashi
Modified: 2013-10-10 20:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The default values for some properties of the KnowledgeSessionConfiguration overwrote the ones explicitly set by the user. As a result, the StatefulKnowledgeSession was created with the default configuration instead of the properties provided by the user. To resolve this issue, the default values of the KnowledgeSessionConfiguration properties can no longer override the user provided values. The StatefulKnowledgeSession is now created using the actual configuration defined by the user.
Story Points: ---
Clone Of:
: 872743 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3155 Minor Resolved Bug with default properties in KnowledgeStoreServiceImpl 2013-05-01 06:43:58 EDT

  None (edit)
Description Toshiya Kobayashi 2012-08-05 12:45:14 EDT
Description of problem:

Platform BZ for JBRULES-3155 : Bug with default properties in KnowledgeStoreServiceImpl

You cannot overwrite default properties set by KnowledgeStoreServiceImpl.

Steps to Reproduce:

The following code doesn't affect "drools.processInstanceManagerFactory". 

 Environment env = KnowledgeBaseFactory.newEnvironment();
 env.set(EnvironmentName.ENTITY_MANAGER_FACTORY, emf);

 Properties properties = new Properties();
 properties.put("drools.processInstanceManagerFactory", "com.example.CustomJPAProcessInstanceManagerFactory");
 KnowledgeSessionConfiguration config = KnowledgeBaseFactory.newKnowledgeSessionConfiguration(properties);
         
 StatefulKnowledgeSession ksession = JPAKnowledgeService.newStatefulKnowledgeSession(KnowledgeService.getKnowledgeBase(), config, env);
  
Actual results:

ksession.getProcessInstanceManagerFactory() returns "org.jbpm.persistence.processinstance.JPAProcessInstanceManagerFactory"

And the class is used in the ksession.

Expected results:

ksession.getProcessInstanceManagerFactory() returns "com.example.CustomJPAProcessInstanceManagerFactory"

And the class is used in the ksession.
Comment 3 JBoss JIRA Server 2012-08-20 09:11:35 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira JBRULES-3155 to Resolved
Comment 4 Iva Zakova 2012-09-17 04:48:36 EDT
Verified in 5.3.1.ER1.
Comment 5 lcarlon 2012-11-07 20:13:05 EST
Hi Mario,

could you review this bug to see if it should be included in the release notes, and if so provide the release notes content?

Thanks
Lee
Comment 6 Mario Fusco 2012-11-08 03:25:59 EST
Hi Lee,

I just added the content for the release notes.

Thanks for having pointed this out.
Mario
Comment 7 lcarlon 2012-11-08 04:29:46 EST
Thanks Mario!

Note You need to log in before you can comment on or make changes to this bug.